#pragma unmanaged
#ifndef KNIHOVNY_H
#define KNIHOVNY_H
#include <highgui.h>


#include <cv.h>


#include "Cam_lib.h"
#endif

#ifndef size
#define WIDTH 800
#define HEIGHT 600 
#endif

class Cameras;
class Camera;

int prepare_smallimage(Camera*, Cameras*);
int update_smallimage(IplImage*);
int show_largeimage(Cameras*);
#pragma managed

//HBITMAP IplImage2DIB(const IplImage*);